xmlalgebrareader.h File Reference

Deals with parsing XML data for various algebraic structures. More...

`#include "regina-core.h"`
`#include "algebra/abeliangroup.h"`
`#include "algebra/grouppresentation.h"`
`#include "utilities/xmlelementreader.h"`

## Classes

class | regina::XMLAbelianGroupReader
| An XML element reader that reads a single abelian group. More...
class | regina::XMLGroupPresentationReader
| An XML element reader that reads a single group presentation. More...

## Namespaces

| regina
| Contains the entire Regina calculation engine.

## Detailed Description

Deals with parsing XML data for various algebraic structures.

Copyright © 1999-2016, The Regina development team
This software is released under the GNU General Public License, with some additional permissions; see the source code for details.
For further information, or to submit a bug or other problem, please contact Ben Burton (bab@maths.uq.edu.au).